> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/assessments/assessments.md).

# Assessments

Take actions on assessments.

## List assessments

> This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at \`/rest/assessments/v2\`.\
> Returns a list of assessments that you created; and the assessments that you are permitted to view. The assessments are sorted by \`lastModifiedOn\` in descending order, with the most recent first.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Assessments API","version":"1.0.0"},"tags":[{"name":"Assessments","description":"Take actions on assessments."}],"servers":[{"url":"/rest/assessments/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"This API requires Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"Limit":{"name":"limit","in":"query","description":"The maximum number of resources to retrieve.\n\nIf not set, the default limit of `10` is be used. The maximum value for this parameter is `50`.\n","schema":{"type":"integer","default":10,"minimum":1,"maximum":50}},"Cursor":{"name":"cursor","in":"query","description":"The cursor pointing to the first resource to be included in the response. This cursor cannot be created and must have been extracted from a response returned by a previous API call.\n\nIf this parameter is missing, the API returns the resources starting from the first available resource, at index `0`.\n","schema":{"type":"string"}}},"responses":{"ListAssessments200":{"description":"Example of a response for listing assessments.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedAssessments"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"There was an error processing the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"PagedAssessments":{"description":"A page object containing assessments.","type":"object","properties":{"nextCursor":{"description":"The cursor pointing to the next page. If the cursor is missing, there are no additional pages of resources available after the current one.","type":"string"},"results":{"type":"array","items":{"$ref":"#/components/schemas/Assessment"}}},"required":["results"]},"Assessment":{"description":"An assessment object.","type":"object","properties":{"id":{"description":"The ID of the assessment.","type":"string","format":"uuid"},"originAssessment":{"$ref":"#/components/schemas/OriginAssessment"},"name":{"description":"The name of the assessment.","type":"string"},"asset":{"$ref":"#/components/schemas/Asset"},"status":{"$ref":"#/components/schemas/AssessmentStatus"},"template":{"$ref":"#/components/schemas/Template"},"owner":{"$ref":"#/components/schemas/User"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAssignee"}},"content":{"description":"The set of questions and answers of the assessment.","type":"array","items":{"$ref":"#/components/schemas/QuestionAndAnswer"}},"createdOn":{"description":"The date and time of the assessment creation.","type":"string","format":"date-time"},"createdBy":{"$ref":"#/components/schemas/User"},"lastModifiedOn":{"description":"The date and time of the assessment last update.","type":"string","format":"date-time"},"lastModifiedBy":{"$ref":"#/components/schemas/User"},"submittedOn":{"description":"The date and time of the assessment submission.","type":"string","format":"date-time"},"submittedBy":{"$ref":"#/components/schemas/User"},"assessmentReview":{"$ref":"#/components/schemas/Asset"}},"required":["id","name","status","template","content","createdOn","createdBy","lastModifiedOn","lastModifiedBy","owner","assignees"]},"OriginAssessment":{"description":"An object that represents the origin assessment.","type":"object","properties":{"id":{"description":"The ID of the origin assessment.","type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/AssessmentStatus"}},"required":["id","status"]},"AssessmentStatus":{"description":"The status of an assessment. Possible values are: `DRAFT`, `SUBMITTED`, `COMPLETED`, or `OBSOLETE`.","type":"string"},"Asset":{"description":"The object for an asset in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseAsset"},{"type":"object","properties":{"name":{"description":"The name of the Collibra asset.","type":"string"}},"required":["name"]}]},"BaseAsset":{"description":"The base object for an asset in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset.","type":"string","format":"uuid"}},"required":["id"]},"Template":{"description":"A template object.","type":"object","allOf":[{"$ref":"#/components/schemas/BaseTemplate"},{"type":"object","properties":{"name":{"description":"The name of the template.","type":"string"},"version":{"description":"The version of the template.","type":"integer"},"status":{"description":"The status of the template.","type":"string"},"assetType":{"$ref":"#/components/schemas/AssetType"},"notification":{"description":"Flag to indicate if notifications are on or off for the template.","type":"boolean"}},"required":["name","version","status"]}]},"BaseTemplate":{"description":"A base template object.","type":"object","properties":{"id":{"description":"The ID of the template.","type":"string","format":"uuid"}},"required":["id"]},"AssetType":{"description":"The object for an asset type in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset type.","type":"string","format":"uuid"},"name":{"description":"The name of the Collibra asset type.","type":"string"}},"required":["id","name"]},"User":{"description":"The object for a user in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseUser"},{"type":"object","properties":{"name":{"description":"The name of the Collibra user.","type":"string"}},"required":["name"]}]},"BaseUser":{"description":"A base object for users in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra user.","type":"string","format":"uuid"}},"required":["id"]},"UserOrGroupAssignee":{"description":"An object that represents a user or group as assignee.","oneOf":[{"$ref":"#/components/schemas/UserAssignee"},{"$ref":"#/components/schemas/GroupAssignee"}],"discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAssignee","GROUP":"#/components/schemas/GroupAssignee"}}},"UserAssignee":{"description":"The object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseUserAssignee"},{"$ref":"#/components/schemas/User"}]},"BaseUserAssignee":{"description":"The base object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseUser"}]},"BaseTypedUserOrGroupAssignee":{"description":"A base object for users and groups that are assignees.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAssignee":{"description":"The object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseGroupAssignee"},{"$ref":"#/components/schemas/Group"}]},"BaseGroupAssignee":{"description":"The base object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseGroup"}]},"BaseGroup":{"description":"The base object for a user group in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra group.","type":"string","format":"uuid"}},"required":["id"]},"Group":{"description":"The object for a user group in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseGroup"},{"type":"object","properties":{"name":{"description":"The name of the Collibra group.","type":"string"}},"required":["name"]}]},"QuestionAndAnswer":{"description":"An object containing a question and its answer.","allOf":[{"$ref":"#/components/schemas/Question"},{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/Answer"},"comments":{"description":"The comments added to the question.","type":"string"}}}]},"Question":{"description":"An object that represents a question in assessments.","type":"object","properties":{"id":{"description":"The identifier of the question.","type":"string"},"name":{"description":"The name of the question.","type":"string"},"description":{"description":"The description of the question.","type":"string"}},"required":["id"]},"Answer":{"description":"The object for an answer.","type":"object","oneOf":[{"$ref":"#/components/schemas/TextAnswer"},{"$ref":"#/components/schemas/HTMLAnswer"},{"$ref":"#/components/schemas/DateAnswer"},{"$ref":"#/components/schemas/BooleanAnswer"},{"$ref":"#/components/schemas/ItemsAnswer"},{"$ref":"#/components/schemas/NumberAnswer"},{"$ref":"#/components/schemas/ExpressionAnswer"},{"$ref":"#/components/schemas/AssetsAnswer"},{"$ref":"#/components/schemas/UserOrGroupsAnswer"},{"$ref":"#/components/schemas/AttachmentsAnswer"}],"discriminator":{"propertyName":"type","mapping":{"TEXT":"#/components/schemas/TextAnswer","HTML":"#/components/schemas/HTMLAnswer","DATE":"#/components/schemas/DateAnswer","BOOLEAN":"#/components/schemas/BooleanAnswer","ITEMS":"#/components/schemas/ItemsAnswer","NUMBER":"#/components/schemas/NumberAnswer","EXPRESSION":"#/components/schemas/ExpressionAnswer","ASSETS":"#/components/schemas/AssetsAnswer","USERORGROUPS":"#/components/schemas/UserOrGroupsAnswer","ATTACHMENTS":"#/components/schemas/AttachmentsAnswer"}}},"TextAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a text.","properties":{"value":{"type":"string"}},"required":["value"]}]},"BaseAnswer":{"description":"The base object for an answer.","type":"object","properties":{"type":{"description":"The type of the answer to the question. Possible values are: `TEXT`, `HTML`, `DATE`, `BOOLEAN`, `ITEMS`, `NUMBER`, 'EXPRESSION', or `ASSETS`.","type":"string"}},"required":["type"]},"HTMLAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing an html.","properties":{"value":{"type":"string"}},"required":["value"]}]},"DateAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a date in ISO 8601 format, for example, 2017-07-21.","properties":{"value":{"type":"string","format":"date"}},"required":["value"]}]},"BooleanAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a boolean value.","properties":{"value":{"type":"boolean"}},"required":["value"]}]},"ItemsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing items.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Item"}}},"required":["value"]}]},"Item":{"description":"The object for an item.","type":"object","properties":{"id":{"description":"The ID of the selected item.","type":"string"},"value":{"description":"The value of the selected item.","type":"string"}},"required":["id"]},"NumberAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a number value.","properties":{"value":{"type":"number"}},"required":["value"]}]},"ExpressionAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing the result of an expression.","properties":{"value":{"type":"string"}},"required":["value"]}]},"AssetsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing assets.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Asset"}}},"required":["value"]}]},"UserOrGroupsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing users and or groups.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAnswer"}}},"required":["value"]}]},"UserOrGroupAnswer":{"description":"An object that represents a user or group.","discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAnswer","GROUP":"#/components/schemas/GroupAnswer"}},"oneOf":[{"$ref":"#/components/schemas/UserAnswer"},{"$ref":"#/components/schemas/GroupAnswer"}]},"UserAnswer":{"description":"The object for an user answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/User"}]},"BaseTypeUserOrGroup":{"description":"Type identifying a user or group.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAnswer":{"description":"The object for a group answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/Group"}]},"AttachmentsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing attachments.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentAttachment"}}},"required":["value"]}]},"AssessmentAttachment":{"description":"An object that represents an assessment attachment.","type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID of the attachment"},"fileName":{"type":"string","description":"Original file name of the attachment"},"createdBy":{"type":"string","format":"uuid","description":"ID of the user who created the attachment"},"createdOn":{"type":"string","format":"date-time","description":"Date and time attachment was created"}},"required":["id","fileName","createdBy","createdOn"]},"StandardErrorResponse":{"description":"A standard error response object.","type":"object","properties":{"statusCode":{"description":"HTTP response code.","type":"integer"},"titleMessage":{"description":"The title of the error message.","type":"string"},"helpMessage":{"description":"A message containing actions you can take regarding the error.","type":"string"},"userMessage":{"description":"A user friendly error message.","type":"string"},"errorCode":{"description":"An error code identifier.","type":"string"}},"required":["statusCode","userMessage"]}}},"paths":{"/assessments":{"get":{"tags":["Assessments"],"deprecated":true,"summary":"List assessments","description":"This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at `/rest/assessments/v2`.\nReturns a list of assessments that you created; and the assessments that you are permitted to view. The assessments are sorted by `lastModifiedOn` in descending order, with the most recent first.\n","operationId":"listAssessments","parameters":[{"in":"query","name":"name","schema":{"type":"string"},"description":"The name of the assessment. \n\nThe value is case-insensitive and it returns results that contain this value.\n"},{"in":"query","name":"status","schema":{"type":"string"},"description":"The status of the assessment. \n\nPossible values are: `DRAFT`, `SUBMITTED`, `COMPLETED` or `OBSOLETE`. The value is case-insensitive. An invalid value results in an error response.\n"},{"in":"query","name":"lastModifiedFrom","schema":{"type":"string","format":"date-time"},"description":"The date and time that defines the start of the period when the assessment was last updated, including this timestamp."},{"in":"query","name":"lastModifiedUntil","schema":{"type":"string","format":"date-time"},"description":"The date and time that defines the end of the period when the assessment was last updated, excluding this timestamp."},{"in":"query","name":"templateId","schema":{"type":"string","format":"uuid"},"description":"The ID of the template."},{"in":"query","name":"templateVersion","schema":{"type":"string"},"description":"The version of the template. \n\nUse `LATEST` to retrieve assessments that are on the latest version of a particular `templateId`. For other values, it returns results that have an exact match.\n"},{"in":"query","name":"assetId","schema":{"type":"string","format":"uuid"},"description":"The ID of the asset the assessment relates to."},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Cursor"}],"responses":{"200":{"$ref":"#/components/responses/ListAssessments200"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at \`/rest/assessments/v2\`.\
Retrieve an assessment by ID<br>
--------------------------------

> Returns information about the assessment with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Assessments API","version":"1.0.0"},"tags":[{"name":"Assessments","description":"Take actions on assessments."}],"servers":[{"url":"/rest/assessments/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"This API requires Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"responses":{"GetAssessment200":{"description":"Example of a response for retrieving an assessment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assessment"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"There was an error processing the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"Assessment":{"description":"An assessment object.","type":"object","properties":{"id":{"description":"The ID of the assessment.","type":"string","format":"uuid"},"originAssessment":{"$ref":"#/components/schemas/OriginAssessment"},"name":{"description":"The name of the assessment.","type":"string"},"asset":{"$ref":"#/components/schemas/Asset"},"status":{"$ref":"#/components/schemas/AssessmentStatus"},"template":{"$ref":"#/components/schemas/Template"},"owner":{"$ref":"#/components/schemas/User"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAssignee"}},"content":{"description":"The set of questions and answers of the assessment.","type":"array","items":{"$ref":"#/components/schemas/QuestionAndAnswer"}},"createdOn":{"description":"The date and time of the assessment creation.","type":"string","format":"date-time"},"createdBy":{"$ref":"#/components/schemas/User"},"lastModifiedOn":{"description":"The date and time of the assessment last update.","type":"string","format":"date-time"},"lastModifiedBy":{"$ref":"#/components/schemas/User"},"submittedOn":{"description":"The date and time of the assessment submission.","type":"string","format":"date-time"},"submittedBy":{"$ref":"#/components/schemas/User"},"assessmentReview":{"$ref":"#/components/schemas/Asset"}},"required":["id","name","status","template","content","createdOn","createdBy","lastModifiedOn","lastModifiedBy","owner","assignees"]},"OriginAssessment":{"description":"An object that represents the origin assessment.","type":"object","properties":{"id":{"description":"The ID of the origin assessment.","type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/AssessmentStatus"}},"required":["id","status"]},"AssessmentStatus":{"description":"The status of an assessment. Possible values are: `DRAFT`, `SUBMITTED`, `COMPLETED`, or `OBSOLETE`.","type":"string"},"Asset":{"description":"The object for an asset in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseAsset"},{"type":"object","properties":{"name":{"description":"The name of the Collibra asset.","type":"string"}},"required":["name"]}]},"BaseAsset":{"description":"The base object for an asset in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset.","type":"string","format":"uuid"}},"required":["id"]},"Template":{"description":"A template object.","type":"object","allOf":[{"$ref":"#/components/schemas/BaseTemplate"},{"type":"object","properties":{"name":{"description":"The name of the template.","type":"string"},"version":{"description":"The version of the template.","type":"integer"},"status":{"description":"The status of the template.","type":"string"},"assetType":{"$ref":"#/components/schemas/AssetType"},"notification":{"description":"Flag to indicate if notifications are on or off for the template.","type":"boolean"}},"required":["name","version","status"]}]},"BaseTemplate":{"description":"A base template object.","type":"object","properties":{"id":{"description":"The ID of the template.","type":"string","format":"uuid"}},"required":["id"]},"AssetType":{"description":"The object for an asset type in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset type.","type":"string","format":"uuid"},"name":{"description":"The name of the Collibra asset type.","type":"string"}},"required":["id","name"]},"User":{"description":"The object for a user in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseUser"},{"type":"object","properties":{"name":{"description":"The name of the Collibra user.","type":"string"}},"required":["name"]}]},"BaseUser":{"description":"A base object for users in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra user.","type":"string","format":"uuid"}},"required":["id"]},"UserOrGroupAssignee":{"description":"An object that represents a user or group as assignee.","oneOf":[{"$ref":"#/components/schemas/UserAssignee"},{"$ref":"#/components/schemas/GroupAssignee"}],"discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAssignee","GROUP":"#/components/schemas/GroupAssignee"}}},"UserAssignee":{"description":"The object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseUserAssignee"},{"$ref":"#/components/schemas/User"}]},"BaseUserAssignee":{"description":"The base object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseUser"}]},"BaseTypedUserOrGroupAssignee":{"description":"A base object for users and groups that are assignees.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAssignee":{"description":"The object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseGroupAssignee"},{"$ref":"#/components/schemas/Group"}]},"BaseGroupAssignee":{"description":"The base object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseGroup"}]},"BaseGroup":{"description":"The base object for a user group in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra group.","type":"string","format":"uuid"}},"required":["id"]},"Group":{"description":"The object for a user group in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseGroup"},{"type":"object","properties":{"name":{"description":"The name of the Collibra group.","type":"string"}},"required":["name"]}]},"QuestionAndAnswer":{"description":"An object containing a question and its answer.","allOf":[{"$ref":"#/components/schemas/Question"},{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/Answer"},"comments":{"description":"The comments added to the question.","type":"string"}}}]},"Question":{"description":"An object that represents a question in assessments.","type":"object","properties":{"id":{"description":"The identifier of the question.","type":"string"},"name":{"description":"The name of the question.","type":"string"},"description":{"description":"The description of the question.","type":"string"}},"required":["id"]},"Answer":{"description":"The object for an answer.","type":"object","oneOf":[{"$ref":"#/components/schemas/TextAnswer"},{"$ref":"#/components/schemas/HTMLAnswer"},{"$ref":"#/components/schemas/DateAnswer"},{"$ref":"#/components/schemas/BooleanAnswer"},{"$ref":"#/components/schemas/ItemsAnswer"},{"$ref":"#/components/schemas/NumberAnswer"},{"$ref":"#/components/schemas/ExpressionAnswer"},{"$ref":"#/components/schemas/AssetsAnswer"},{"$ref":"#/components/schemas/UserOrGroupsAnswer"},{"$ref":"#/components/schemas/AttachmentsAnswer"}],"discriminator":{"propertyName":"type","mapping":{"TEXT":"#/components/schemas/TextAnswer","HTML":"#/components/schemas/HTMLAnswer","DATE":"#/components/schemas/DateAnswer","BOOLEAN":"#/components/schemas/BooleanAnswer","ITEMS":"#/components/schemas/ItemsAnswer","NUMBER":"#/components/schemas/NumberAnswer","EXPRESSION":"#/components/schemas/ExpressionAnswer","ASSETS":"#/components/schemas/AssetsAnswer","USERORGROUPS":"#/components/schemas/UserOrGroupsAnswer","ATTACHMENTS":"#/components/schemas/AttachmentsAnswer"}}},"TextAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a text.","properties":{"value":{"type":"string"}},"required":["value"]}]},"BaseAnswer":{"description":"The base object for an answer.","type":"object","properties":{"type":{"description":"The type of the answer to the question. Possible values are: `TEXT`, `HTML`, `DATE`, `BOOLEAN`, `ITEMS`, `NUMBER`, 'EXPRESSION', or `ASSETS`.","type":"string"}},"required":["type"]},"HTMLAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing an html.","properties":{"value":{"type":"string"}},"required":["value"]}]},"DateAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a date in ISO 8601 format, for example, 2017-07-21.","properties":{"value":{"type":"string","format":"date"}},"required":["value"]}]},"BooleanAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a boolean value.","properties":{"value":{"type":"boolean"}},"required":["value"]}]},"ItemsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing items.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Item"}}},"required":["value"]}]},"Item":{"description":"The object for an item.","type":"object","properties":{"id":{"description":"The ID of the selected item.","type":"string"},"value":{"description":"The value of the selected item.","type":"string"}},"required":["id"]},"NumberAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a number value.","properties":{"value":{"type":"number"}},"required":["value"]}]},"ExpressionAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing the result of an expression.","properties":{"value":{"type":"string"}},"required":["value"]}]},"AssetsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing assets.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Asset"}}},"required":["value"]}]},"UserOrGroupsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing users and or groups.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAnswer"}}},"required":["value"]}]},"UserOrGroupAnswer":{"description":"An object that represents a user or group.","discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAnswer","GROUP":"#/components/schemas/GroupAnswer"}},"oneOf":[{"$ref":"#/components/schemas/UserAnswer"},{"$ref":"#/components/schemas/GroupAnswer"}]},"UserAnswer":{"description":"The object for an user answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/User"}]},"BaseTypeUserOrGroup":{"description":"Type identifying a user or group.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAnswer":{"description":"The object for a group answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/Group"}]},"AttachmentsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing attachments.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentAttachment"}}},"required":["value"]}]},"AssessmentAttachment":{"description":"An object that represents an assessment attachment.","type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID of the attachment"},"fileName":{"type":"string","description":"Original file name of the attachment"},"createdBy":{"type":"string","format":"uuid","description":"ID of the user who created the attachment"},"createdOn":{"type":"string","format":"date-time","description":"Date and time attachment was created"}},"required":["id","fileName","createdBy","createdOn"]},"StandardErrorResponse":{"description":"A standard error response object.","type":"object","properties":{"statusCode":{"description":"HTTP response code.","type":"integer"},"titleMessage":{"description":"The title of the error message.","type":"string"},"helpMessage":{"description":"A message containing actions you can take regarding the error.","type":"string"},"userMessage":{"description":"A user friendly error message.","type":"string"},"errorCode":{"description":"An error code identifier.","type":"string"}},"required":["statusCode","userMessage"]}}},"paths":{"/assessments/{id}":{"get":{"tags":["Assessments"],"deprecated":true,"summary":"This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at `/rest/assessments/v2`.\nRetrieve an assessment by ID\n","description":"Returns information about the assessment with the specified ID.","operationId":"getAssessment","parameters":[{"in":"path","description":"The ID of the assessment.","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/GetAssessment200"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Retrieve an assessment by assessment review ID

> This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at \`/rest/assessments/v2\`.\
> Returns information about the assessment with the specified assessment review asset ID.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Assessments API","version":"1.0.0"},"tags":[{"name":"Assessments","description":"Take actions on assessments."}],"servers":[{"url":"/rest/assessments/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"This API requires Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"responses":{"GetAssessment200":{"description":"Example of a response for retrieving an assessment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assessment"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"There was an error processing the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"Assessment":{"description":"An assessment object.","type":"object","properties":{"id":{"description":"The ID of the assessment.","type":"string","format":"uuid"},"originAssessment":{"$ref":"#/components/schemas/OriginAssessment"},"name":{"description":"The name of the assessment.","type":"string"},"asset":{"$ref":"#/components/schemas/Asset"},"status":{"$ref":"#/components/schemas/AssessmentStatus"},"template":{"$ref":"#/components/schemas/Template"},"owner":{"$ref":"#/components/schemas/User"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAssignee"}},"content":{"description":"The set of questions and answers of the assessment.","type":"array","items":{"$ref":"#/components/schemas/QuestionAndAnswer"}},"createdOn":{"description":"The date and time of the assessment creation.","type":"string","format":"date-time"},"createdBy":{"$ref":"#/components/schemas/User"},"lastModifiedOn":{"description":"The date and time of the assessment last update.","type":"string","format":"date-time"},"lastModifiedBy":{"$ref":"#/components/schemas/User"},"submittedOn":{"description":"The date and time of the assessment submission.","type":"string","format":"date-time"},"submittedBy":{"$ref":"#/components/schemas/User"},"assessmentReview":{"$ref":"#/components/schemas/Asset"}},"required":["id","name","status","template","content","createdOn","createdBy","lastModifiedOn","lastModifiedBy","owner","assignees"]},"OriginAssessment":{"description":"An object that represents the origin assessment.","type":"object","properties":{"id":{"description":"The ID of the origin assessment.","type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/AssessmentStatus"}},"required":["id","status"]},"AssessmentStatus":{"description":"The status of an assessment. Possible values are: `DRAFT`, `SUBMITTED`, `COMPLETED`, or `OBSOLETE`.","type":"string"},"Asset":{"description":"The object for an asset in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseAsset"},{"type":"object","properties":{"name":{"description":"The name of the Collibra asset.","type":"string"}},"required":["name"]}]},"BaseAsset":{"description":"The base object for an asset in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset.","type":"string","format":"uuid"}},"required":["id"]},"Template":{"description":"A template object.","type":"object","allOf":[{"$ref":"#/components/schemas/BaseTemplate"},{"type":"object","properties":{"name":{"description":"The name of the template.","type":"string"},"version":{"description":"The version of the template.","type":"integer"},"status":{"description":"The status of the template.","type":"string"},"assetType":{"$ref":"#/components/schemas/AssetType"},"notification":{"description":"Flag to indicate if notifications are on or off for the template.","type":"boolean"}},"required":["name","version","status"]}]},"BaseTemplate":{"description":"A base template object.","type":"object","properties":{"id":{"description":"The ID of the template.","type":"string","format":"uuid"}},"required":["id"]},"AssetType":{"description":"The object for an asset type in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset type.","type":"string","format":"uuid"},"name":{"description":"The name of the Collibra asset type.","type":"string"}},"required":["id","name"]},"User":{"description":"The object for a user in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseUser"},{"type":"object","properties":{"name":{"description":"The name of the Collibra user.","type":"string"}},"required":["name"]}]},"BaseUser":{"description":"A base object for users in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra user.","type":"string","format":"uuid"}},"required":["id"]},"UserOrGroupAssignee":{"description":"An object that represents a user or group as assignee.","oneOf":[{"$ref":"#/components/schemas/UserAssignee"},{"$ref":"#/components/schemas/GroupAssignee"}],"discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAssignee","GROUP":"#/components/schemas/GroupAssignee"}}},"UserAssignee":{"description":"The object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseUserAssignee"},{"$ref":"#/components/schemas/User"}]},"BaseUserAssignee":{"description":"The base object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseUser"}]},"BaseTypedUserOrGroupAssignee":{"description":"A base object for users and groups that are assignees.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAssignee":{"description":"The object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseGroupAssignee"},{"$ref":"#/components/schemas/Group"}]},"BaseGroupAssignee":{"description":"The base object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseGroup"}]},"BaseGroup":{"description":"The base object for a user group in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra group.","type":"string","format":"uuid"}},"required":["id"]},"Group":{"description":"The object for a user group in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseGroup"},{"type":"object","properties":{"name":{"description":"The name of the Collibra group.","type":"string"}},"required":["name"]}]},"QuestionAndAnswer":{"description":"An object containing a question and its answer.","allOf":[{"$ref":"#/components/schemas/Question"},{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/Answer"},"comments":{"description":"The comments added to the question.","type":"string"}}}]},"Question":{"description":"An object that represents a question in assessments.","type":"object","properties":{"id":{"description":"The identifier of the question.","type":"string"},"name":{"description":"The name of the question.","type":"string"},"description":{"description":"The description of the question.","type":"string"}},"required":["id"]},"Answer":{"description":"The object for an answer.","type":"object","oneOf":[{"$ref":"#/components/schemas/TextAnswer"},{"$ref":"#/components/schemas/HTMLAnswer"},{"$ref":"#/components/schemas/DateAnswer"},{"$ref":"#/components/schemas/BooleanAnswer"},{"$ref":"#/components/schemas/ItemsAnswer"},{"$ref":"#/components/schemas/NumberAnswer"},{"$ref":"#/components/schemas/ExpressionAnswer"},{"$ref":"#/components/schemas/AssetsAnswer"},{"$ref":"#/components/schemas/UserOrGroupsAnswer"},{"$ref":"#/components/schemas/AttachmentsAnswer"}],"discriminator":{"propertyName":"type","mapping":{"TEXT":"#/components/schemas/TextAnswer","HTML":"#/components/schemas/HTMLAnswer","DATE":"#/components/schemas/DateAnswer","BOOLEAN":"#/components/schemas/BooleanAnswer","ITEMS":"#/components/schemas/ItemsAnswer","NUMBER":"#/components/schemas/NumberAnswer","EXPRESSION":"#/components/schemas/ExpressionAnswer","ASSETS":"#/components/schemas/AssetsAnswer","USERORGROUPS":"#/components/schemas/UserOrGroupsAnswer","ATTACHMENTS":"#/components/schemas/AttachmentsAnswer"}}},"TextAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a text.","properties":{"value":{"type":"string"}},"required":["value"]}]},"BaseAnswer":{"description":"The base object for an answer.","type":"object","properties":{"type":{"description":"The type of the answer to the question. Possible values are: `TEXT`, `HTML`, `DATE`, `BOOLEAN`, `ITEMS`, `NUMBER`, 'EXPRESSION', or `ASSETS`.","type":"string"}},"required":["type"]},"HTMLAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing an html.","properties":{"value":{"type":"string"}},"required":["value"]}]},"DateAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a date in ISO 8601 format, for example, 2017-07-21.","properties":{"value":{"type":"string","format":"date"}},"required":["value"]}]},"BooleanAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a boolean value.","properties":{"value":{"type":"boolean"}},"required":["value"]}]},"ItemsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing items.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Item"}}},"required":["value"]}]},"Item":{"description":"The object for an item.","type":"object","properties":{"id":{"description":"The ID of the selected item.","type":"string"},"value":{"description":"The value of the selected item.","type":"string"}},"required":["id"]},"NumberAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a number value.","properties":{"value":{"type":"number"}},"required":["value"]}]},"ExpressionAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing the result of an expression.","properties":{"value":{"type":"string"}},"required":["value"]}]},"AssetsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing assets.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Asset"}}},"required":["value"]}]},"UserOrGroupsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing users and or groups.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAnswer"}}},"required":["value"]}]},"UserOrGroupAnswer":{"description":"An object that represents a user or group.","discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAnswer","GROUP":"#/components/schemas/GroupAnswer"}},"oneOf":[{"$ref":"#/components/schemas/UserAnswer"},{"$ref":"#/components/schemas/GroupAnswer"}]},"UserAnswer":{"description":"The object for an user answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/User"}]},"BaseTypeUserOrGroup":{"description":"Type identifying a user or group.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAnswer":{"description":"The object for a group answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/Group"}]},"AttachmentsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing attachments.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentAttachment"}}},"required":["value"]}]},"AssessmentAttachment":{"description":"An object that represents an assessment attachment.","type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID of the attachment"},"fileName":{"type":"string","description":"Original file name of the attachment"},"createdBy":{"type":"string","format":"uuid","description":"ID of the user who created the attachment"},"createdOn":{"type":"string","format":"date-time","description":"Date and time attachment was created"}},"required":["id","fileName","createdBy","createdOn"]},"StandardErrorResponse":{"description":"A standard error response object.","type":"object","properties":{"statusCode":{"description":"HTTP response code.","type":"integer"},"titleMessage":{"description":"The title of the error message.","type":"string"},"helpMessage":{"description":"A message containing actions you can take regarding the error.","type":"string"},"userMessage":{"description":"A user friendly error message.","type":"string"},"errorCode":{"description":"An error code identifier.","type":"string"}},"required":["statusCode","userMessage"]}}},"paths":{"/assessments/byAssessmentReview/{id}":{"get":{"tags":["Assessments"],"deprecated":true,"summary":"Retrieve an assessment by assessment review ID","description":"This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at `/rest/assessments/v2`.\nReturns information about the assessment with the specified assessment review asset ID.\n","operationId":"getAssessmentByAssessmentReview","parameters":[{"in":"path","description":"The ID of the assessment review asset.","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/GetAssessment200"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Conduct an assessment

> This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at \`/rest/assessments/v2\`.\
> Starts conducting an assessment by creating it in \`DRAFT\` status.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Assessments API","version":"1.0.0"},"tags":[{"name":"Assessments","description":"Take actions on assessments."}],"servers":[{"url":"/rest/assessments/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"This API requires Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"ConductAssessmentRequest":{"description":"A request object to start conducting an assessment. It should contain at least a `template` and a `name` or an `asset`. If you provide both a name and an asset, the asset's name stored in Collibra is used as the name of the assessment. When specified, the asset must have the same asset type used in the template. In addition, if the `owner` is not specified, the authenticated user is used as owner of the assessment.","type":"object","properties":{"template":{"$ref":"#/components/schemas/BaseTemplate"},"name":{"description":"The name of the assessment.","type":"string"},"asset":{"$ref":"#/components/schemas/BaseAsset"},"owner":{"$ref":"#/components/schemas/BaseUser"},"assignees":{"description":"The ID of the Collibra users or groups to be assigned as assignees.","type":"array","items":{"$ref":"#/components/schemas/BaseUserOrGroupAssignee"}},"isVisibleToEveryone":{"description":"Whether the assessment is visible to Everyone in Collibra?","type":"boolean","default":false}},"required":["template"]},"BaseTemplate":{"description":"A base template object.","type":"object","properties":{"id":{"description":"The ID of the template.","type":"string","format":"uuid"}},"required":["id"]},"BaseAsset":{"description":"The base object for an asset in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset.","type":"string","format":"uuid"}},"required":["id"]},"BaseUser":{"description":"A base object for users in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra user.","type":"string","format":"uuid"}},"required":["id"]},"BaseUserOrGroupAssignee":{"description":"An object that represents a base user or base group as assignee.","oneOf":[{"$ref":"#/components/schemas/BaseUserAssignee"},{"$ref":"#/components/schemas/BaseGroupAssignee"}],"discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/BaseUserAssignee","GROUP":"#/components/schemas/BaseGroupAssignee"}}},"BaseUserAssignee":{"description":"The base object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseUser"}]},"BaseTypedUserOrGroupAssignee":{"description":"A base object for users and groups that are assignees.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"BaseGroupAssignee":{"description":"The base object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseTypedUserOrGroupAssignee"},{"$ref":"#/components/schemas/BaseGroup"}]},"BaseGroup":{"description":"The base object for a user group in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra group.","type":"string","format":"uuid"}},"required":["id"]},"Assessment":{"description":"An assessment object.","type":"object","properties":{"id":{"description":"The ID of the assessment.","type":"string","format":"uuid"},"originAssessment":{"$ref":"#/components/schemas/OriginAssessment"},"name":{"description":"The name of the assessment.","type":"string"},"asset":{"$ref":"#/components/schemas/Asset"},"status":{"$ref":"#/components/schemas/AssessmentStatus"},"template":{"$ref":"#/components/schemas/Template"},"owner":{"$ref":"#/components/schemas/User"},"assignees":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAssignee"}},"content":{"description":"The set of questions and answers of the assessment.","type":"array","items":{"$ref":"#/components/schemas/QuestionAndAnswer"}},"createdOn":{"description":"The date and time of the assessment creation.","type":"string","format":"date-time"},"createdBy":{"$ref":"#/components/schemas/User"},"lastModifiedOn":{"description":"The date and time of the assessment last update.","type":"string","format":"date-time"},"lastModifiedBy":{"$ref":"#/components/schemas/User"},"submittedOn":{"description":"The date and time of the assessment submission.","type":"string","format":"date-time"},"submittedBy":{"$ref":"#/components/schemas/User"},"assessmentReview":{"$ref":"#/components/schemas/Asset"}},"required":["id","name","status","template","content","createdOn","createdBy","lastModifiedOn","lastModifiedBy","owner","assignees"]},"OriginAssessment":{"description":"An object that represents the origin assessment.","type":"object","properties":{"id":{"description":"The ID of the origin assessment.","type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/AssessmentStatus"}},"required":["id","status"]},"AssessmentStatus":{"description":"The status of an assessment. Possible values are: `DRAFT`, `SUBMITTED`, `COMPLETED`, or `OBSOLETE`.","type":"string"},"Asset":{"description":"The object for an asset in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseAsset"},{"type":"object","properties":{"name":{"description":"The name of the Collibra asset.","type":"string"}},"required":["name"]}]},"Template":{"description":"A template object.","type":"object","allOf":[{"$ref":"#/components/schemas/BaseTemplate"},{"type":"object","properties":{"name":{"description":"The name of the template.","type":"string"},"version":{"description":"The version of the template.","type":"integer"},"status":{"description":"The status of the template.","type":"string"},"assetType":{"$ref":"#/components/schemas/AssetType"},"notification":{"description":"Flag to indicate if notifications are on or off for the template.","type":"boolean"}},"required":["name","version","status"]}]},"AssetType":{"description":"The object for an asset type in Collibra.","type":"object","properties":{"id":{"description":"The ID of the Collibra asset type.","type":"string","format":"uuid"},"name":{"description":"The name of the Collibra asset type.","type":"string"}},"required":["id","name"]},"User":{"description":"The object for a user in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseUser"},{"type":"object","properties":{"name":{"description":"The name of the Collibra user.","type":"string"}},"required":["name"]}]},"UserOrGroupAssignee":{"description":"An object that represents a user or group as assignee.","oneOf":[{"$ref":"#/components/schemas/UserAssignee"},{"$ref":"#/components/schemas/GroupAssignee"}],"discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAssignee","GROUP":"#/components/schemas/GroupAssignee"}}},"UserAssignee":{"description":"The object for a Collibra user as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseUserAssignee"},{"$ref":"#/components/schemas/User"}]},"GroupAssignee":{"description":"The object for a Collibra user group as an assignee.","allOf":[{"$ref":"#/components/schemas/BaseGroupAssignee"},{"$ref":"#/components/schemas/Group"}]},"Group":{"description":"The object for a user group in Collibra.","allOf":[{"$ref":"#/components/schemas/BaseGroup"},{"type":"object","properties":{"name":{"description":"The name of the Collibra group.","type":"string"}},"required":["name"]}]},"QuestionAndAnswer":{"description":"An object containing a question and its answer.","allOf":[{"$ref":"#/components/schemas/Question"},{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/Answer"},"comments":{"description":"The comments added to the question.","type":"string"}}}]},"Question":{"description":"An object that represents a question in assessments.","type":"object","properties":{"id":{"description":"The identifier of the question.","type":"string"},"name":{"description":"The name of the question.","type":"string"},"description":{"description":"The description of the question.","type":"string"}},"required":["id"]},"Answer":{"description":"The object for an answer.","type":"object","oneOf":[{"$ref":"#/components/schemas/TextAnswer"},{"$ref":"#/components/schemas/HTMLAnswer"},{"$ref":"#/components/schemas/DateAnswer"},{"$ref":"#/components/schemas/BooleanAnswer"},{"$ref":"#/components/schemas/ItemsAnswer"},{"$ref":"#/components/schemas/NumberAnswer"},{"$ref":"#/components/schemas/ExpressionAnswer"},{"$ref":"#/components/schemas/AssetsAnswer"},{"$ref":"#/components/schemas/UserOrGroupsAnswer"},{"$ref":"#/components/schemas/AttachmentsAnswer"}],"discriminator":{"propertyName":"type","mapping":{"TEXT":"#/components/schemas/TextAnswer","HTML":"#/components/schemas/HTMLAnswer","DATE":"#/components/schemas/DateAnswer","BOOLEAN":"#/components/schemas/BooleanAnswer","ITEMS":"#/components/schemas/ItemsAnswer","NUMBER":"#/components/schemas/NumberAnswer","EXPRESSION":"#/components/schemas/ExpressionAnswer","ASSETS":"#/components/schemas/AssetsAnswer","USERORGROUPS":"#/components/schemas/UserOrGroupsAnswer","ATTACHMENTS":"#/components/schemas/AttachmentsAnswer"}}},"TextAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a text.","properties":{"value":{"type":"string"}},"required":["value"]}]},"BaseAnswer":{"description":"The base object for an answer.","type":"object","properties":{"type":{"description":"The type of the answer to the question. Possible values are: `TEXT`, `HTML`, `DATE`, `BOOLEAN`, `ITEMS`, `NUMBER`, 'EXPRESSION', or `ASSETS`.","type":"string"}},"required":["type"]},"HTMLAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing an html.","properties":{"value":{"type":"string"}},"required":["value"]}]},"DateAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a date in ISO 8601 format, for example, 2017-07-21.","properties":{"value":{"type":"string","format":"date"}},"required":["value"]}]},"BooleanAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a boolean value.","properties":{"value":{"type":"boolean"}},"required":["value"]}]},"ItemsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing items.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Item"}}},"required":["value"]}]},"Item":{"description":"The object for an item.","type":"object","properties":{"id":{"description":"The ID of the selected item.","type":"string"},"value":{"description":"The value of the selected item.","type":"string"}},"required":["id"]},"NumberAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing a number value.","properties":{"value":{"type":"number"}},"required":["value"]}]},"ExpressionAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing the result of an expression.","properties":{"value":{"type":"string"}},"required":["value"]}]},"AssetsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing assets.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Asset"}}},"required":["value"]}]},"UserOrGroupsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing users and or groups.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/UserOrGroupAnswer"}}},"required":["value"]}]},"UserOrGroupAnswer":{"description":"An object that represents a user or group.","discriminator":{"propertyName":"type","mapping":{"USER":"#/components/schemas/UserAnswer","GROUP":"#/components/schemas/GroupAnswer"}},"oneOf":[{"$ref":"#/components/schemas/UserAnswer"},{"$ref":"#/components/schemas/GroupAnswer"}]},"UserAnswer":{"description":"The object for an user answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/User"}]},"BaseTypeUserOrGroup":{"description":"Type identifying a user or group.","type":"object","properties":{"type":{"description":"Possible values are: `USER` or `GROUP`.","type":"string"}},"required":["type"]},"GroupAnswer":{"description":"The object for a group answer.","allOf":[{"$ref":"#/components/schemas/BaseTypeUserOrGroup"},{"$ref":"#/components/schemas/Group"}]},"AttachmentsAnswer":{"allOf":[{"$ref":"#/components/schemas/BaseAnswer"},{"type":"object","description":"An answer object containing attachments.","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentAttachment"}}},"required":["value"]}]},"AssessmentAttachment":{"description":"An object that represents an assessment attachment.","type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID of the attachment"},"fileName":{"type":"string","description":"Original file name of the attachment"},"createdBy":{"type":"string","format":"uuid","description":"ID of the user who created the attachment"},"createdOn":{"type":"string","format":"date-time","description":"Date and time attachment was created"}},"required":["id","fileName","createdBy","createdOn"]},"StandardErrorResponse":{"description":"A standard error response object.","type":"object","properties":{"statusCode":{"description":"HTTP response code.","type":"integer"},"titleMessage":{"description":"The title of the error message.","type":"string"},"helpMessage":{"description":"A message containing actions you can take regarding the error.","type":"string"},"userMessage":{"description":"A user friendly error message.","type":"string"},"errorCode":{"description":"An error code identifier.","type":"string"}},"required":["statusCode","userMessage"]}},"responses":{"PostConductAssessment201":{"description":"Example of a response for conducting an assessment.","headers":{"Location":{"description":"The URL of the added assessment.","schema":{"type":"string","format":"uri"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assessment"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"There was an error processing the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/assessments/conduct":{"post":{"tags":["Assessments"],"deprecated":true,"summary":"Conduct an assessment","description":"This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at `/rest/assessments/v2`.\nStarts conducting an assessment by creating it in `DRAFT` status.\n","operationId":"conductAssessment","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConductAssessmentRequest"}}}},"responses":{"201":{"$ref":"#/components/responses/PostConductAssessment201"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```
